GCXONEDocumentation

Trigger

On this page
  1. POST /trigger/
  2. Request body
  3. Responses
  4. POST /trigger/getTriggers
  5. Request body
  6. Responses

Operations on trigger resources. 2 endpoints, each relative to https://api.nxgen.cloud/api/v1 and authenticated as described under Authentication.

POST /trigger/

Send Trigger

Request body

Send Trigger

json
{
  "siteId": "string",
  "siteName": "string",
  "manafacturer": "string",
  "deviceId": "string",
  "heirarchyName": "string",
  "triggerId": "string",
  "triggerName": "string"
}

Responses

Status

Description

Body

200

Success

204

No Content

401

Unauthorized

403

Forbidden

404

Not Found

POST /trigger/getTriggers

Get Triggers

Request body

Get Triggers

json
{
  "siteId": "string",
  "siteName": "string",
  "manafacturer": "string",
  "deviceId": "string",
  "heirarchyName": "string"
}

Responses

Status

Description

Body

200

Success

204

No Content

401

Unauthorized

403

Forbidden

404

Not Found

Was this page helpful?

Thank you — your feedback goes to the team that owns this page.